require './lib/transcriptic_kit'
require 'dotenv'
Dotenv.load

## Create the API client
client = TranscripticKit::Client.new(
  email: ENV['TRANSCRIPTIC_EMAIL'],
  key: ENV['TRANSCRIPTIC_API_KEY'],
  org_name: ENV['TRANSCRIPTIC_ORG_NAME_URL']
)

## Fetch Runs
projects = client.projects.all
run = client.runs.all(project_id: projects[0].id)
puts "#{run.length} runs"

## Submit Runs
string = '{"refs": {"working_sypro": {"new": "micro-1.5", "discard": true}, "milli_lyso": {"new": "micro-1.5", "discard": true}, "working_lyso": {"new": "micro-1.5", "discard": true}, "sypro_mm-1_2016-09-22": {"new": "micro-1.5", "discard": true}, "assay_plate": {"new": "96-pcr", "store": {"where": "cold_4"}}}, "outs": {"working_lyso": {"0": {"properties": {"concentration": "83:micromole / liter"}}}, "milli_lyso": {"0": {"properties": {"concentration": "0.83:millimole / liter"}}}, "sypro_mm-1_2016-09-22": {"0": {"name": "sypro_mm"}}}, "instructions": [{"to": [{"volume": "900.0:microliter", "well": "milli_lyso/0"}, {"volume": "100.0:microliter", "well": "milli_lyso/0"}], "op": "provision", "resource_id": "rs17gmh5wafm5p"}, {"to": [{"volume": "1.0:microliter", "well": "milli_lyso/0"}], "op": "provision", "resource_id": "rs18u5sv3y8haj"}, {"groups": [{"mix": [{"volume": "500:microliter", "well": "milli_lyso/0", "repetitions": 10, "speed": "100:microliter/second"}]}], "op": "pipette"}, {"to": [{"volume": "100.0:microliter", "well": "working_lyso/0"}], "op": "provision", "resource_id": "rs17gmh5wafm5p"}, {"groups": [{"transfer": [{"volume": "10.0:microliter", "to": "working_lyso/0", "from": "milli_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"mix": [{"volume": "500:microliter", "well": "working_lyso/0", "repetitions": 10, "speed": "100:microliter/second"}]}, {"mix": [{"volume": "200:microliter", "well": "working_sypro/0", "repetitions": 10, "speed": "50:microliter/second"}]}], "op": "pipette"}, {"to": [{"volume": "268.8:microliter", "well": "sypro_mm-1_2016-09-22/0"}], "op": "provision", "resource_id": "rs17gmh5wafm5p"}, {"to": [{"volume": "11.2:microliter", "well": "sypro_mm-1_2016-09-22/0"}], "op": "provision", "resource_id": "rs18xyxuedc3gp"}, {"reagent": "pbs", "object": "assay_plate", "columns": [{"column": 0, "volume": "35.0:microliter"}], "op": "dispense"}, {"groups": [{"distribute": {"to": [{"volume": "5.0:microliter", "well": "assay_plate/0"}, {"volume": "5.0:microliter", "well": "assay_plate/12"}, {"volume": "5.0:microliter", "well": "assay_plate/24"}, {"volume": "5.0:microliter", "well": "assay_plate/36"}, {"volume": "5.0:microliter", "well": "assay_plate/48"}, {"volume": "5.0:microliter", "well": "assay_plate/60"}, {"volume": "5.0:microliter", "well": "assay_plate/72"}, {"volume": "5.0:microliter", "well": "assay_plate/84"}, {"volume": "5.0:microliter", "well": "assay_plate/1"}, {"volume": "5.0:microliter", "well": "assay_plate/13"}, {"volume": "5.0:microliter", "well": "assay_plate/25"}, {"volume": "5.0:microliter", "well": "assay_plate/37"}, {"volume": "5.0:microliter", "well": "assay_plate/49"}, {"volume": "5.0:microliter", "well": "assay_plate/61"}, {"volume": "5.0:microliter", "well": "assay_plate/73"}, {"volume": "5.0:microliter", "well": "assay_plate/85"}, {"volume": "5.0:microliter", "well": "assay_plate/2"}, {"volume": "5.0:microliter", "well": "assay_plate/14"}, {"volume": "5.0:microliter", "well": "assay_plate/26"}, {"volume": "5.0:microliter", "well": "assay_plate/38"}, {"volume": "5.0:microliter", "well": "assay_plate/50"}, {"volume": "5.0:microliter", "well": "assay_plate/62"}, {"volume": "5.0:microliter", "well": "assay_plate/74"}, {"volume": "5.0:microliter", "well": "assay_plate/86"}, {"volume": "5.0:microliter", "well": "assay_plate/3"}, {"volume": "5.0:microliter", "well": "assay_plate/15"}, {"volume": "5.0:microliter", "well": "assay_plate/27"}, {"volume": "5.0:microliter", "well": "assay_plate/39"}, {"volume": "5.0:microliter", "well": "assay_plate/51"}, {"volume": "5.0:microliter", "well": "assay_plate/63"}, {"volume": "5.0:microliter", "well": "assay_plate/75"}, {"volume": "5.0:microliter", "well": "assay_plate/87"}, {"volume": "5.0:microliter", "well": "assay_plate/4"}, {"volume": "5.0:microliter", "well": "assay_plate/16"}, {"volume": "5.0:microliter", "well": "assay_plate/28"}, {"volume": "5.0:microliter", "well": "assay_plate/40"}, {"volume": "5.0:microliter", "well": "assay_plate/52"}, {"volume": "5.0:microliter", "well": "assay_plate/64"}, {"volume": "5.0:microliter", "well": "assay_plate/76"}, {"volume": "5.0:microliter", "well": "assay_plate/88"}], "from": "sypro_mm-1_2016-09-22/0", "allow_carryover": false}}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/0", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/12", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/24", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/36", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/48", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/60", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/72", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/84", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/1", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/13", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/25", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/37", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/49", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/61", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/73", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/85", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/2", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/14", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/26", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/38", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/50", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/62", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/74", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/86", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/3", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/15", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/27", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/39", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/51", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/63", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/75", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/87", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/4", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/16", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/28", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/40", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/52", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/64", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}, {"transfer": [{"volume": "2.0:microliter", "to": "assay_plate/76", "from": "working_lyso/0", "mix_after": {"volume": "25:microliter", "repetitions": 10, "speed": "100:microliter/second"}}]}], "op": "pipette"}, {"object": "assay_plate", "type": "ultra-clear", "op": "seal"}, {"acceleration": "2000:g", "duration": "2.0:minute", "object": "assay_plate", "op": "spin"}, {"dataref": "thermofluor", "melting": {"start": "25.00:celsius", "rate": "30.00:second", "end": "99.00:celsius", "increment": "0.50:celsius"}, "object": "assay_plate", "volume": "45:microliter", "groups": [{"cycles": 1, "steps": [{"duration": "30.0:second", "read": true, "temperature": "25.0:celsius"}]}], "dyes": {"FRET": ["A1", "B1", "C1", "D1", "E1", "F1", "G1", "H1", "A2", "B2", "C2", "D2", "E2", "F2", "G2", "H2", "A3", "B3", "C3", "D3", "E3", "F3", "G3", "H3", "A4", "B4", "C4", "D4", "E4", "F4", "G4", "H4", "A5", "B5", "C5", "D5", "E5", "F5", "G5", "H5"]}, "op": "thermocycle"}]}
'
protocol1 = JSON.parse(string)
new_run = TranscripticKit::Run.new(title: "gem test run", test_mode: true, protocol: protocol1)

resp = client.runs.create(new_run, project_id: projects[0].id)

puts "Run submitted with ID #{resp.id}"
